<?php

require_once ("../../config/Cado.php");

require_once("../trabajador/cTrabajador.php");

$oTrabajador = new cTrabajador();



//defino una clase que voy a utilizar para generar los elementos sugeridos en autocompletar

class ElementoAutocompletar {

   var $value;

   var $label;

   var $id;

   

   function __construct($label, $value, $id){

      $this->label = $label;

      $this->value = $value;

      $this->id = $id;

   }

}



//recibo el dato que deseo buscar sugerencias

$datoBuscar = $_GET["term"];



//busco un valor aproximado al dato escrito

$rs=$oTrabajador->complete_nom($datoBuscar);



//creo el array de los elementos sugeridos

$arrayElementos = array();



//bucle para meter todas las sugerencias de autocompletar en el array

while ($fila = mysql_fetch_array($rs)){

   array_push($arrayElementos, new ElementoAutocompletar($fila["tb_trabajador_nom"].' '.$fila["tb_trabajador_ape"], $fila["tb_trabajador_nom"].' '.$fila["tb_trabajador_ape"],$fila["tb_trabajador_id"]));

}



print_r(json_encode($arrayElementos));



?>